import javax.swing.*;
import java.awt.*;
import java.io.*;
import java.awt.event.*;

public class Formulaire extends JApplet implements ActionListener{

    private JButton enregistrer;
    private JButton reinitialiser;
    private JButton afficher;
    private JTextField nom;
    private JTextField prenom;
    private JTextField age;
    private JTextField adresse;
    private JRadioButton celibataire;
    private JRadioButton marie;
    private JRadioButton divorce;
    private JRadioButton concubinage;
    private ButtonGroup bg;
    private JTextField commentaire;
    private JTextArea lecture;

    public Formulaire (){
        init();
    }

    public void init (){

        JPanel principal = new JPanel (new GridLayout(1,2,10,10));

        JPanel panePrincipal = new JPanel (new GridLayout(8,1,10,10));
        JPanel pane = new JPanel ();
        setContentPane (principal);
        principal.add(panePrincipal);
        //setBounds(100,100,700,450);

        pane = new JPanel (new FlowLayout(FlowLayout.LEFT));
        pane.add (new JLabel ("Nom         : "));
        nom = new JTextField(15);
        pane.add (nom);
        panePrincipal.add(pane);

        pane = new JPanel (new FlowLayout(FlowLayout.LEFT));
        pane.add (new JLabel ("Prnom      : "));
        prenom = new JTextField(15);
        pane.add (prenom);
        panePrincipal.add(pane);

        pane = new JPanel (new FlowLayout(FlowLayout.LEFT));
        pane.add (new JLabel ("Age         : "));
        age = new JTextField(15);
        pane.add (age);
        panePrincipal.add(pane);

        pane = new JPanel (new FlowLayout(FlowLayout.LEFT));
        pane.add (new JLabel ("Adresse     : "));
        adresse = new JTextField(15);
        pane.add (adresse);
        panePrincipal.add(pane);

        pane = new JPanel (new FlowLayout(FlowLayout.LEFT));
        pane.add (new JLabel ("Situation familiale : "));
        celibataire = new JRadioButton ("Clibataire");
        pane.add (celibataire);
        marie = new JRadioButton ("Mari");
        pane.add (marie);
        panePrincipal.add(pane);

        pane = new JPanel (new FlowLayout(FlowLayout.LEFT));
        divorce = new JRadioButton ("Divorc");
        pane.add (divorce);
        concubinage = new JRadioButton ("En concubinage");
        pane.add (concubinage);
        bg = new ButtonGroup ();
        bg.add(celibataire);
        bg.add(marie);
        bg.add(divorce);
        bg.add(concubinage);
        panePrincipal.add(pane);

        pane = new JPanel (new FlowLayout(FlowLayout.LEFT));
        pane.add (new JLabel ("Commentaire : "));
        commentaire = new JTextField(15);
        pane.add (commentaire);
        panePrincipal.add(pane);

        pane = new JPanel ();
        enregistrer = new JButton ("Enregistrer");
        reinitialiser = new JButton ("Rinitialiser");
        afficher = new JButton ("Afficher");
        enregistrer.addActionListener (this);
        reinitialiser.addActionListener (this);
        afficher.addActionListener (this);
        
        pane.add (enregistrer);
        pane.add (reinitialiser);
        pane.add (afficher);
        panePrincipal.add(pane);

        lecture = new JTextArea(20,10);
        principal.add(new JScrollPane(lecture));
    }


    public void actionPerformed (ActionEvent ae){
        if (ae.getSource()==enregistrer){
            try{
		Integer.parseInt(age.getText ());	
                BufferedWriter bw = new BufferedWriter (new FileWriter ("Clients.txt",true));
                bw.write ("Nom : "+nom.getText()+"\n");
                bw.write ("Prenom : "+prenom.getText()+"\n");
                bw.write ("Age : "+age.getText()+"\n");
                bw.write ("Adresse : "+adresse.getText()+"\n");
                bw.write ("Situation familiale : ");
                if (celibataire.isSelected ()) bw.write ("Clibataire"+"\n");
                else if (marie.isSelected ()) bw.write ("Mari"+"\n");
                else if (divorce.isSelected ()) bw.write ("Divorc"+"\n");
                else if (concubinage.isSelected ()) bw.write ("En concubinage"+"\n");
                else bw.write ("Inconnue"+"\n");
                bw.write ("Commentaires : "+commentaire.getText()+"\n");
                bw.close();
            }
            catch (NumberFormatException e){
                    System.out.println("L'age saisie n'est pas un entier");
                    JOptionPane.showMessageDialog (null, "L'age saisie n'est pas un entier");
            }
            catch (IOException e){
                    JOptionPane.showMessageDialog (null, "Erreur  l'ouverture du fichier.\nEnregistrement impossible.");
                    System.out.println ("Erreur  l'ouverture du fichier.");
                    System.out.println ("Enregistrement impossible.");
            }
        }
        else if (ae.getSource()==reinitialiser){
            nom.setText("");
            prenom.setText("");
            age.setText("");
            adresse.setText("");
            commentaire.setText("");            
        }
        else if (ae.getSource()==afficher){
            try{
              BufferedReader bw = new BufferedReader (new FileReader ("Clients.txt"));
              lecture.setText ("");
              String ch="";
              while ((ch=bw.readLine())!=null) {
                  lecture.append(ch+"\n");
              }
              bw.close();
            }
            catch (IOException e){
                    JOptionPane.showMessageDialog (null, "Erreur  l'ouverture du fichier.\nLecture impossible.");
                    System.out.println ("Erreur  l'ouverture du fichier.");
                    System.out.println ("Lecture impossible.");
            }
        }
    }

    public static void main (String args[]){
        Formulaire formulaire = new Formulaire ();
        JFrame fenetre = new JFrame ();
        fenetre.add(formulaire);
        fenetre.setBounds(100,100,700,460);
        fenetre.setVisible(true);
    }
}
